List account mass payments - Dwolla Developer Portal
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
GET
https://api.dwolla.comhttps://api-sandbox.dwolla.com
/accounts
/{id}
/mass-payments
cURL
GET https://api-sandbox.dwolla.com/accounts/CA366CA3-6D30-44D6-B0F3-8D86C64462A1/mass-payments
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
dwolla
.get("accounts/CA366CA3-6D30-44D6-B0F3-8D86C64462A1/mass-payments")
.then((res) => res.body.total); // => 1
Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
mass_payments = app_token.get('accounts/CA366CA3-6D30-44D6-B0F3-8D86C64462A1/mass-payments')
mass_payments.body['total'] # => 1
Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$massPaymentsApi = new DwollaSwagger\MasspaymentsApi($apiClient);
$massPayments = $massPaymentsApi->getAccountMassPayments("CA366CA3-6D30-44D6-B0F3-8D86C64462A1");
$massPayments->total; # => 1
Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
mass_payments = app_token.get "accounts/CA366CA3-6D30-44D6-B0F3-8D86C64462A1/mass-payments"
mass_payments.total # => 1
Response Status Codes
- 200
- 403
- 404
Example Responses
Success Response
{
"_links": {},
"_embedded": {
"mass-payments": [
{
"_links": {},
"id": "11ac4051-7b76-44fc-87ab-ae23012393f0",
"status": "complete",
"created": "2022-01-20T17:41:41.000Z",
"metaData": {},
"total": {
"value": "5.00",
"currency": "USD"
},
"totalFees": {
"value": "5.00",
"currency": "USD"
},
"correlationId": "CID-8a2cdc8d-629d-4a24-98ac-40b735229fe2"
}
]
},
"total": 100
}
Forbidden Response
{
"code": "forbidden",
"message": "Not authorized to list mass payments."
}
Not Found Response
{
"code": "notFound",
"message": "Account not found."
}
Authorizations
Authorization
- Type: string
- In: header
- Required: Yes
- Description: The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Accept
- Type: enum
- Default:
application/vnd.dwolla.v1.hal+json - Required: Yes
- Description: The media type of the response.
Path Parameters
id
- Type: string
- Required: Yes
- Description: Account's unique identifier
Query Parameters
limit
- Type: integer
- Default: 25
- Description: Maximum number of results to return
- Valid range:
1 <= x <= 200
offset
- Type: integer
- Default: 0
- Description: How many results to skip.
correlationId
- Type: string
- Description: Correlation ID to search by.
Response Format
200 - successful operation
{
"_links": {},
"_embedded": {},
"total": 100
}